{ config, ... }:
{
  imports = [ ./nginx ];

  nixpkgs.config.element-web.conf = {
    default_server_config."m.homeserver" = {
      base_url = "https://matrix.${config.domains.jim1}";
      server_name = "matrix.${config.domains.jim1}";
    };
    branding = {
      #welcome_background_url = "https://staging.${config.domains.jim1}/images/backgrounds/template-background.png";
      #auth_header_logo_url = "https://staging.${config.domains.jim1}/images/logos/template-logo.png";
    };
    embedded_pages = {
      home_url = "https://www.${config.domains.jim1}/";
    };
    disable_custom_urls = true;
    disable_guests = true;
    default_theme = "dark";
  };
}
